Anonymous Login
2019-02-21 12:44 PST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000302v2.0 Release (Closed)[All Projects] Generalpublic2010-06-21 21:18
ReporterBenRussoUSA 
Assigned Tocaseydk 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Versionv2.0.0 
Summary0000302: PNG icon files referenced in wrong directory.
DescriptionInstalled 2009-11-05 ( 741 ) release of web2project.
Upgraded DotProject database dump, but on a clean machine.
All users set to use the Snow Ball style.
When using MS-Internet Explorer to view Project or view task,
many *.PNG references in the web pages were showing the "missing icon" icon.
(See attached GIF screenshot).

I think I have resolved all (?) the issues by going to style/web2project/images
and running 'find . -type f -name "*.png" -exec ln -s {} . \;'

Because the html source for the pages that had the missing image icons were referring to the PNG files as being in style/webproject/images, but on the server they were in various subdirectories of that dir.

TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000574

caseydk (administrator)

I recently made some changes to includes/main_functions.php to the w2PfindImage function. I *think* it should take care of those problems... any feedback would be appreciated.

~0000583

BenRussoUSA (reporter)

Feedback: after upgrading to r761, still see these in /var/log/httpd:

[root@rst-project1 httpd]# grep png error_log | cut -f 11-50 -d " " | sort | uniq -c | sort -rn
     10 not exist: /var/www/html/Web2Project/style/web2project/images/applet3-48.png, referer: https://project.corp.tnsi.com/index.php?m=projects
      5 not exist: /var/www/html/Web2Project/style/web2project/images/applet3-48.png, referer: https://project.corp.tnsi.com/index.php?m=projects&a=view&project_id=58
      4 not exist: /var/www/html/Web2Project/style/web2project/images/stock_ok-16.png, referer: https://project.corp.tnsi.com/index.php?m=projects
      4 not exist: /var/www/html/Web2Project/style/web2project/images/edit_add.png, referer: https://project.corp.tnsi.com/index.php?m=projects&a=view&project_id=58
      4 not exist: /var/www/html/Web2Project/style/web2project/images/applet-48.png, referer: https://project.corp.tnsi.com/index.php?m=tasks&a=view&task_id=154
      2 not exist: /var/www/html/Web2Project/style/web2project/images/projectdesigner.png, referer: https://project.corp.tnsi.com/index.php?m=projectdesigner
      2 not exist: /var/www/html/Web2Project/style/web2project/images/edit_add.png, referer: https://project.corp.tnsi.com/index.php?m=projects&a=view&project_id=107
      2 not exist: /var/www/html/Web2Project/style/web2project/images/applet3-48.png, referer: https://project.corp.tnsi.com/index.php?m=projects&tab=9
      2 not exist: /var/www/html/Web2Project/style/web2project/images/applet3-48.png, referer: https://project.corp.tnsi.com/index.php?m=projects&orderby=project_name
      2 not exist: /var/www/html/Web2Project/style/web2project/images/applet3-48.png, referer: https://project.corp.tnsi.com/index.php?m=projects&a=view&project_id=107
      2 not exist: /var/www/html/Web2Project/style/web2project/images/applet3-48.png, referer: https://project.corp.tnsi.com/index.php?m=projects&a=view&project_id=106
      1 not exist: /var/www/html/Web2Project/style/web2project/images/up.png, referer: https://project.corp.tnsi.com/index.php?m=projectdesigner
      1 not exist: /var/www/html/Web2Project/style/web2project/images/remove.png, referer: https://project.corp.tnsi.com/index.php?m=projectdesigner
      1 not exist: /var/www/html/Web2Project/style/web2project/images/filesave.png, referer: https://project.corp.tnsi.com/index.php?m=projectdesigner
      1 not exist: /var/www/html/Web2Project/style/web2project/images/edit_add.png, referer: https://project.corp.tnsi.com/index.php?m=projects&a=view&project_id=77
      1 not exist: /var/www/html/Web2Project/style/web2project/images/edit_add.png, referer: https://project.corp.tnsi.com/index.php?m=projects&a=view&project_id=70
...

~0000844

caseydk (administrator)

Resolved this with a series of commits - 1036, 1037, and 1038 - that moved the images to the correct place and updated all the paths.
+Notes

-Issue History
Date Modified Username Field Change
2009-11-09 05:41 BenRussoUSA New Issue
2009-11-09 05:41 BenRussoUSA File Added: Capture.GIF
2009-11-09 21:42 caseydk Note Added: 0000574
2009-11-09 21:45 caseydk Project v1.1 Release (Closed) => v1.2 Release (Closed)
2009-11-12 05:31 BenRussoUSA Note Added: 0000583
2009-12-07 20:43 caseydk Project v1.2 Release (Closed) => Pending Requests
2010-05-01 16:24 caseydk Project Pending Requests => v2.0 Release (Closed)
2010-05-01 16:25 caseydk Note Added: 0000844
2010-05-01 16:25 caseydk Status new => resolved
2010-05-01 16:25 caseydk Resolution open => fixed
2010-05-01 16:25 caseydk Assigned To => caseydk
2010-06-21 21:18 caseydk Status resolved => closed
2010-06-21 21:18 caseydk Fixed in Version => v2.0
+Issue History